Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class GeneralNames

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.x509.GeneralNames

All Implemented Interfaces:
  DEREncodable

public class GeneralNames
extends ASN1Encodable

Constructor Summary
`GeneralNames(ASN1Sequence seq)`
`GeneralNames(GeneralName name)` Construct a GeneralNames object containing one GeneralName.

Method Summary
`static GeneralNames` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static GeneralNames` | `getInstance(java.lang.Object obj)`
`GeneralName[]` | `getNames()`
`DERObject` | `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeneralNames

    public GeneralNames(GeneralName name)

  Construct a GeneralNames object containing one GeneralName.

Parameters:
  `name` - the name to be contained.

### GeneralNames

    public GeneralNames(ASN1Sequence seq)

Method Detail

### getInstance

    public static GeneralNames getInstance(java.lang.Object obj)

### getInstance

    public static GeneralNames getInstance(ASN1TaggedObject obj,
                                           boolean explicit)

### getNames

    public GeneralName[] getNames()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

       GeneralNames ::= SEQUENCE SIZE {1..MAX} OF GeneralName

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD